@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body{
      background-image: linear-gradient(to right top, #d16ba5, #cc87c2, #c8a2d7, #c8bae5, #cfd0ed, #c8cdef, #bfcaf1, #b6c8f3, #96adf2, #7992ef, #5f76e9, #4b58e1);
      background-size: cover;
      background-position: center;
      min-height: 100vh; /* Asegura que el fondo cubra toda la altura visible del viewport */
}

/* Establece la altura de las imágenes en el carrusel */
.carousel-image {
    height: 300px; /* Puedes ajustar este valor según tus preferencias */
    width: auto; /* Mantiene la proporción original de la imagen */
}

.header{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  /*padding: 1.3rem 10%;*/
  padding: 1px 10px;
  /*display: flex;*/
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

.header::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .1);
  backdrop-filter: blur(35px);
  z-index: -1;
}

.header::after{
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
  transition: .7s;
}

.header:hover::after{
  left: 100%;
}

.logo{
  font-size: 1rem;
  color:  #82d5f6;
  text-decoration: none;
  font-weight: 400;
  animation: colorChange 8s infinite;
}

@keyframes colorChange {
  0%{
    color: white;
  }
  50%{
    color:coral;
  }
  100%{
    color:white;
  }
}

.navbar a{
  font-size: 1rem;
  color: white;
  text-decoration: none;
  font-weight: 200;
  margin-left: 1.5rem;
}

#check{
  display: none;
}

.icons{
  position: absolute;
  right: 5%;
  font-size: 2.8rem;
  color: white;
  cursor: pointer;
  display: none;
}


@media(max-width: 768px){
  .icons{
    display: inline-flex;
  }

  #check:checked~.icons #menu-icon{
    display: none;
  }

  .icons #close-icon{
    display: none;
  }

  #check:checked~.icons #close-icon{
    display: block;
  }

  .navbar{
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(30px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .3); /* box-shadow: 0 .5rem 1rem; */
    overflow: hidden;
    transition: .7s ease;
  }

  #check:checked~.navbar{
    height: 18.8rem;
  }
  .navbar a{
    display: block;
    font-size: 1.1rem;
    margin: 1rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
  }

  #check:checked~.navbar a{
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.06s * var(--i));
  }
}


/* Slideshow container */
  .slideshow-container {
    max-width: 1000px;
    position: relative;
    margin: auto;
  }

/* Caption text */
  .text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 30px;
    width: 100%;
    text-align: center;
    background-color: rgba(51,38,38,.5);  
  }

/* Number text (1/3 etc) */
  .numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
    background-color: rgba(51,38,38,.7);
  }

/* The dots/bullets/indicators */
  .dot {
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
  }

  .active {
    background-color: #717171;
  }

/* Fading animation */
  .fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 3s;
    animation-name: fade;
    animation-duration: 3s;
  }

  /* Añade un identificador al carrusel para apuntar específicamente */
#slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: 120px auto 0; /* Ajusta el margen superior según sea necesario */
}

/* Ajusta el margen superior de las diapositivas del carrusel */
.mySlides {
  margin-top: 0;
}

/* Ajusta la posición de las diapositivas del carrusel */
.text, .numbertext {
  top: 80%; /* Ajusta la posición vertical según sea necesario */
}

.empresa{
  text-align: center;
}

a{
  text-decoration: none;
}

/* --------------------------------------------------------- */

